from pyboot.utils.log import Log

class Component:
    TYPE: str
    NAME: str
    
    def get_name(self):
        return self.NAME
    
    def get_type(self):
        return self.TYPE
    
    def get_config(self):
        return self.config
    
    def print(self):
        Log.blue("Component Information")
        Log.blue(f"- Type: {self.TYPE}")
        Log.blue(f"- Name: {self.NAME}")
        Log.blue(f"- Config: \n\t{self.config}")
        